# ControlFluidSettings(FluidSettings)

base classes — `bpy_struct`, `FluidSettings`

class `bpy.types.``ControlFluidSettings`(FluidSettings)

  Fluid simulation settings for objects controlling the motion of fluid in the simulation

  `attraction_radius`

    Force field radius around the control object

    Type: | float in [0, 10], default 0.0

  `attraction_strength`

    Force strength for directional attraction towards the control object

    Type: | float in [-10, 10], default 0.0

  `end_time`

    Time when the control particles are deactivated

    Type: | float in [0, inf], default 0.0

  `quality`

    Quality which is used for object sampling (higher = better but slower)

    Type: | float in [5, 100], default 0.0

  `start_time`

    Time when the control particles are activated

    Type: | float in [0, inf], default 0.0

  `use`

    Object contributes to the fluid simulation

    Type: | boolean, default False

  `use_reverse_frames`

    Reverse control object movement

    Type: | boolean, default False

  `velocity_radius`

    Force field radius around the control object

    Type: | float in [0, 10], default 0.0

  `velocity_strength`

    Force strength of how much of the control object’s velocity is influencing the fluid velocity

    Type: | float in [0, 10], default 0.0

Inherited Properties

`bpy_struct.id_data` | `FluidSettings.type`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`